Alphabetize the order of collections on the "Copy a page or collection" screen

Bug #1527960 reported by Kristina Hoeppner on 2015-12-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
Medium
Cecilia Vela Gurovic
15.04
Medium
Unassigned
15.10
Medium
Unassigned
16.04
Medium
Unassigned
16.10
Medium
Cecilia Vela Gurovic

Bug Description

Mahara 15.10+

On /view/choosetemplate.php?searchcollection=1 (when you click the "Copy a collection" button), the collection titles are supposed to be listed in alphabetical order, but they aren't. See the user manual at http://manual.mahara.org/en/15.10/portfolio/collections.html#copy-a-collection-by-searching-for-it (I left the sentence in for the collection titles to be listed in alphabetical order).

On /view/choosetemplate.php (when you click the "Copy a page" button), the pages are correctly sorted in alphabetical order.

no longer affects: mahara/16.04
Robert Lyon (robertl-9) wrote :

Seen as the manual is different from actual results we should backport the fix so that the manual is correct :)

Niranjan (niranjan528) wrote :

Tested and found that the page title are not sorted alphabetically.

Here are the steps to reproduce:

1)Create few new pages with different alphabetical order like ninni1 ninni2 and ninni3
2)go to collections and click on new collection
3)Give a collection name and click on Next: edit collection pages
4)Under "Add pages to collection" select higher alphabetical page first(ninni3 in above example) and click on add pages
5)And then add the rest of the pages( when all the pages are selected it works fine)
6)Go back to collection page and click on copy a collection tab
7)Click on the collection title to preview it

Expected result: The pages should be displayed in alphabetical order
Actual result: The pages are not displayed alphabetically ( see screenshot )

The pages should be ordered by collection title in alphabetical order, not page title. Please see attached image taken from http://manual.mahara.org/en/15.10/portfolio/collections.html#copy-a-collection-by-searching-for-it

After these steps:

6)Go back to collection page and click on copy a collection tab
7)Click on the collection title to preview it

The preview of the collection shows the pages in the order the user defined for that collection. This is the expected result for the preview.

Reviewed: https://reviews.mahara.org/6932
Committed: https://git.mahara.org/mahara/mahara/commit/06962f6ab965e0eb885ae41040bc9330df49494b
Submitter: Robert Lyon (<email address hidden>)
Branch: master

commit 06962f6ab965e0eb885ae41040bc9330df49494b
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Sep 6 16:52:37 2016 +1200

Bug 1527960: Change sort parameter for DB query result

behatnotneeded

Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Change-Id: I701fbcaf30ee7729f73f1a9c7b37a7602f5909fd

Mahara Bot (dev-mahara) wrote :

Patch for "16.04_STABLE" branch: https://reviews.mahara.org/6965

Mahara Bot (dev-mahara) wrote :

Patch for "15.10_STABLE" branch: https://reviews.mahara.org/6966

Mahara Bot (dev-mahara) wrote :

Patch for "15.04_STABLE" branch: https://reviews.mahara.org/6967

Reviewed: https://reviews.mahara.org/6964
Committed: https://git.mahara.org/mahara/mahara/commit/208c0a8e26cb01651075cc0b059f96aaf21c84e2
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit 208c0a8e26cb01651075cc0b059f96aaf21c84e2
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Sep 6 16:52:37 2016 +1200

Bug 1527960: Change sort parameter for DB query result

behatnotneeded

Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Change-Id: I701fbcaf30ee7729f73f1a9c7b37a7602f5909fd
(cherry picked from commit 06962f6ab965e0eb885ae41040bc9330df49494b)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6967
Committed: https://git.mahara.org/mahara/mahara/commit/da93ba2bf1a7782db445ce53deef5a2d8164c752
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.04_STABLE

commit da93ba2bf1a7782db445ce53deef5a2d8164c752
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Sep 6 16:52:37 2016 +1200

Bug 1527960: Change sort parameter for DB query result

behatnotneeded

Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Change-Id: I701fbcaf30ee7729f73f1a9c7b37a7602f5909fd
(cherry picked from commit 06962f6ab965e0eb885ae41040bc9330df49494b)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6966
Committed: https://git.mahara.org/mahara/mahara/commit/561c20ba7518e906f75fe1a20d1404bf63517653
Submitter: Robert Lyon (<email address hidden>)
Branch: 15.10_STABLE

commit 561c20ba7518e906f75fe1a20d1404bf63517653
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Sep 6 16:52:37 2016 +1200

Bug 1527960: Change sort parameter for DB query result

behatnotneeded

Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Change-Id: I701fbcaf30ee7729f73f1a9c7b37a7602f5909fd
(cherry picked from commit 06962f6ab965e0eb885ae41040bc9330df49494b)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/6965
Committed: https://git.mahara.org/mahara/mahara/commit/f75963d5451871a5c4504d9b78d3100cf2db407c
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit f75963d5451871a5c4504d9b78d3100cf2db407c
Author: Cecilia Vela Gurovic <email address hidden>
Date: Tue Sep 6 16:52:37 2016 +1200

Bug 1527960: Change sort parameter for DB query result

behatnotneeded

Signed-off-by: Cecilia Vela Gurovic <email address hidden>

Change-Id: I701fbcaf30ee7729f73f1a9c7b37a7602f5909fd
(cherry picked from commit 06962f6ab965e0eb885ae41040bc9330df49494b)

tags: added: usermanualupdate
Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.04.1 → none
tags: removed: usermanualupdate
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers